Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::concat_fn Struct Reference

## Synopsis of methods
constexpr concat_fn | concat {}

## Public Member Functions
template<typename... Rngs>
auto | operator() (Rngs &&... rngs) const -> concat_view< all_t< Rngs >... > requires And<(ViewableRange< Rngs > &&InputRange< Rngs >)... >